[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#410817: I don't know how to patch the 2.6.18 kernel...

On Thu, Aug 09, 2007 at 01:36:34PM +0200, Guillaume Estival wrote:
> to make it works.
> I'm sure it's obvious to you but I really don't know how SCSI drivers is
> coded and how I can patch the C files to make it works (although I know
> quite well C language, kernel code is *far* beyond my knowledge)
> Is someone kind enough to send a patch, or just a clue about what I need
> to modify (and where)? 

hey Guillaume,
 Take a look at this changeset:
  Notice that it removes this entry from the megaraid_pci_tbl[]:

              PCI_ANY_ID, PCI_ANY_ID, 0, 0, 0},

I believe that entry matches our cards and prevents the legacy driver
from picking them up. That works fine for me, but obviously not for
you. I'd suggest adding those lines back in and building a new
module/kernel. If you're not comfortable building your own kernel, let
me know.

Hopefully this will allow the legacy megaraid driver to discover your
controller/disk. Just make sure that you rmmod the new megaraid driver
before loading the legacy one.

Please let us know how that goes.

dann frazier

Reply to: